diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index 686fe1427..38f0ddddc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -347,7 +347,7 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
         :param cid:
         :return:
         """
-        last_system_oid = 0 if self.blueprint.show_system_objects else \
+        last_system_oid = 0 if not self.blueprint.show_system_objects else \
             self.datlastsysoid
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
index 6854db123..07237ccb7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
@@ -10,7 +10,6 @@ import { getNodeAjaxOptions } from '../../../../../../static/js/node_ajax';
 import CastSchema from './cast.ui';
 import getApiInstance from '../../../../../../../static/js/api_instance';
 
-
 define('pgadmin.node.cast', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'sources/pgadmin', 'pgadmin.browser',
@@ -114,6 +113,9 @@ define('pgadmin.node.cast', [
                   .catch((err)=>{
                     reject(err);
                   });
+              }else{
+                let data = [];
+                resolve(data);
               }
             });
           },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.ui.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.ui.js
index 47aa6e4fb..500d79b01 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.ui.js
@@ -9,9 +9,6 @@
 import gettext from 'sources/gettext';
 import BaseUISchema from 'sources/SchemaView/base_schema.ui';
 import { isEmptyString } from 'sources/validators';
-
-
-
 export default class CastSchema extends BaseUISchema {
   constructor(fieldOptions={}, initValues) {
     super({
@@ -20,7 +17,7 @@ export default class CastSchema extends BaseUISchema {
       srctyp: undefined,          // Source type
       trgtyp: undefined,          // Target type
       proname: undefined,         // Function
-      castcontext: true,     // Context (IMPLICIT/EXPLICIT/ASSIGNMENT)
+      castcontext: false,     // Context (IMPLICIT/EXPLICIT/ASSIGNMENT)
       syscast: undefined,         // Is this cast is system object? Yes/No
       description: undefined,      // Comment on the cast
       ...initValues,
